% drive.m
% 
% Qi Li

im_file = 'octagon_tri.pgm';

im = imread(im_file);
im = imrotate(im, 15, 'bicubic');
pgm_file = 'in.pgm';
imwrite(im, pgm_file);

command = ['!demo_diversity ' pgm_file];
eval(command);

imbalanced_pts = textread('imbalanced_pts.dat');
figure; imagesc(im); colormap(gray); hold on; axis off;  
plot(imbalanced_pts(:,1), imbalanced_pts(:,2), 'ro', 'LineWidth', 6, 'MarkerSize', 40);  

